1. Smartlinks V2
Español
  • Español
  • English
  • Bienvenidos
  • CARD PRESENT PAYMENTS (API RAW) Copy
    • One-time payments
    • Two-step-payments
    • Voids & Refunds
    • Card information
    • Query Transactions
  • Online Payments
    • Card Async
      • Request a card async token
      • Authorize payments
      • Get Status
      • Capture an authorized payment
      • Init Transaction
    • Async Card Recurring Charges
      • Request an async card recurring charge token
      • Init an async card recurring charge
      • Capture an authorized payment
      • Authorize payments
      • Capture an authorized payment
      • Authorize payments
    • Card
      • Bin Info
      • Bin Info V2
      • Request deferred options
      • Request a card token
      • Make a charge or deferred charge
      • Create payment (tokenless)
      • Authorize payments
      • Capture an authorized payment
      • Reauthorize payments
      • Void a transaction
      • Refund a transaction
      • Voucher
      • Validate OTP
      • Verify Account
      • Preauthorization (tokenless)
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Transfer In
      • Get Bank List
      • Init Transaction
      • Request a Transfer In token
      • Get Status
    • Transfer Out
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Balance for Payouts
    • Cash In
      • Request a cash in token
      • Init Transaction
      • Transaction Status
    • Smartlinks V2
      • Create a Smartlink
        POST
      • Delete a smartlink
        DELETE
      • Get a Smartlink
        GET
      • Update a Smartlink
        PATCH
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Gateway Status
      • Get gateway status
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Update credential
      • Regenerate a credential
      • Delete credential
      • Activate or deactivate
      • Advanced search
    • Payment Button
      • Raíz
        • Create a payment button
    • Platform Status
    • Subscription Transactions
    • One-Click & Scheduled Payments
      • Request a recurring charge token
      • Update recurring charge card data
      • Cancel a recurring charge
      • Update a recurring charge
      • Get recurring charge Info
      • Create a recurring charge
      • Authorize payments
      • Capture an authorized payment
      • Add a temporary charge or discount
      • Make an One-click payment
  • Schemas
    • extraTaxes
    • Amount-cash-in
    • Amount
    • networkToken
    • currency
    • Metadata
    • documentType
    • Subscription
    • webhooks
    • headers
    • ContactDetails
    • Country
    • Language
    • threeDomainSecure
    • binInfo
    • Deferred
    • SubscriptionUpdate
    • SubscriptionAdjustmentRequest
    • transactionType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
  1. Smartlinks V2

Create a Smartlink

POST
/smartlink/v2/smart-link
Create a smartLink that can later be shared to a customer in order to complete the payment process.
In the form you can include 6 different type of items:
1.
Input: Useful to create tags so customers can include name, email and other important information for the business.
2.
Select: Useful to select from a list of available options.
3.
Date: Shows a calendar if you need the customer to select a specific date.
4.
Area: Useful to enter multiple lines of text.
5.
Checkbox: Useful to let a customer select one or more options from a limited list of choices.
6.
Radio: Allows the customer to choose only one of a limited list of choices.
WARNING
Got a suggestion on this documentation? Contact Us.

Request

Header Params

Body Params application/json

Examples

Responses

🟢201
application/json
Body

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api-uat.kushkipagos.com/smartlink/v2/smart-link' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "publicMerchantId": "string",
    "merchantName": "string",
    "paymentConfigType": "fixed",
    "paymentConfig": {
        "paymentType": "unique",
        "amount": {
            "currency": "CLP",
            "subtotalIva": 0,
            "subtotalIva0": 10000,
            "iva": 0,
            "ice": 0,
            "extraTaxes": {
                "iac": 0,
                "tasaAeroportuaria": 0,
                "agenciaDeViaje": 0
            }
        },
        "paymentMethod": "cash",
        "subscriptionOptions": {
            "amount": {
                "currency": "CLP",
                "subtotalIva": 0,
                "subtotalIva0": 10000,
                "iva": 0,
                "ice": 0,
                "extraTaxes": {
                    "iac": 0,
                    "tasaAeroportuaria": 0,
                    "agenciaDeViaje": 0
                }
            },
            "periodicity": "daily",
            "planName": "string",
            "startDate": "2019-08-24",
            "terms": "string"
        },
        "mixedOptions": {
            "numberOfFees": 0,
            "periodicity": "daily",
            "subscriptionDay": 0
        },
        "fastPayments": [
            "APPLE_PAY"
        ]
    },
    "paymentConfig ": {
        "paymentType": "unique",
        "paymentMethod": "cash",
        "currency": "CLP",
        "taxEnabled": true,
        "taxPercentage": 0,
        "defaultAmount": 0,
        "minAmount": 1,
        "maxAmount": 1,
        "fastPayments": [
            "APPLE_PAY"
        ]
    },
    "generalConfig": {
        "productName": "string",
        "description": "string",
        "productImage": "string",
        "brandLogo": "string",
        "executionLimit": 0,
        "showTimer": true,
        "enabled": true,
        "termsAndConditions": "string",
        "promotionalText": "string",
        "expirationDate": 0,
        "buyButtonText": "string",
        "hidePayButtonAmount": false,
        "payButtonText": "string"
    },
    "styleAndStructure": {
        "structure": "checkout",
        "coverModel": "left",
        "buttonStyle": "square",
        "primaryColor": "string",
        "secondaryColor": "string"
    },
    "contact": {
        "email": "string",
        "phoneNumber": "string"
    },
    "formConfig": [
        {
            "label": "string",
            "type": "input",
            "split": true,
            "required": true,
            "disabled": true,
            "name": "string",
            "placeholder": "string",
            "value": "string",
            "validateEmail": true
        }
    ],
    "language": "es"
}'
Response Response Example
201 - response
{
    "smartLinkUrl": "https://uat.kshk.co/global/4RUvloWDA"
}
Modified at 2026-04-16 17:17:43
Previous
Transaction Status
Next
Delete a smartlink
Built with